I knew from reading other explanations that it was the explanation itself that was hindering everyone including myself. You are so far the only person that actually explained how the dynamic approach works clearly.
I really love how you draw and go through the DP table. I don't see many people explain it that way and it can be very hard to visual or trace through at first. Thanks So much!
Thanks a million for making such an incredible explanation for a GFG code. Sometimes they have good codes, but no explanations or the explanations are not clear enough. This is just so well explained. All your videos are helping so many of us. Keep up the great work!
Bro this is the best explanation for the question and I finally understood it. Explaining is an art and making others understand is a superpower and you clearly has it. The video was crisp and so easy to follow. Just loved it. Pls keep making more videos. I know you might be busy with other stuff(I am sure u might be working for some top notch company and if not then you are surely going to be very soon) but pls keep making more videos.
What a great presentation and explanation ! You are just going frame by frame and bringing clarity all the way down deep! Keep doing such great videos for demystifying complex algos.
Thank you so much for the video! I hadn't truly understood the dynamic programming approach to the max palindrome substring problem until I watched your explanation. Thanks again!
good explanation! The reason this is a dp problem is that it has over lapping sub problems. For substring from index 1,5 we need to check if substr from index 2,4 is palindrome or not and for substr 0,6 we would not compute for substr 1,5. So it will take O(1) time instead of O(n).
Please, if possible, explain how you approach a problem and come up with solutions too as it'll help in developing our programming logic as well. Thanks for the great vids, keep em comin'! :)
Thanks. Very useful. However, brute force can be done in O(n^2): for(0 through length of string-1) find the longest palindrome whose middle is in that position if(longer than the previous max) save the start and end indexes return substring at the saved start and end indexes
Thanks for making this video. I watched lot of videos, on this topic but they explained only filling the DP table, but i couldn't understand why we should fill in such manner....your video did it......Nice and clear Explanation Thanks again.....
if we have a string of length n then total number of substring possible are (n*(n+1)/2 ) not n^2 time complexity will be n^2 heres the code - string s; cin>>s; for(int i=0;i
Thanks... I am not sharing code because all the codes are available online for the same logic :) If you find problem finding then you can always take my help. I will provide it.
wow this is gold. such a great solution. Thanks a ton. i usually approach dp problem with rec first then memoization then tabulaiton. bt this is more like concrete tabulation solutiion.
In fact, we could solve it in O(N2) time without any extra space. We observe that a palindrome mirrors around its center. Therefore, a palindrome can be expanded from its center, and there are only 2N-1 such centers. You might be asking why there are 2N-1 but not N centers? The reason is that the center of a palindrome can be in between two letters. Such palindromes have even number of letters (such as “abba”) and their center are between the two ‘b’s. Since expanding a palindrome around its center could take O(N) time, the overall complexity is O(N2). Source : InterviewBit
you said in the video at 1:09 that o(n) total substring possible o(n2) is it right? Input : str = “abc” Output : 6 Every substring of the given string : “a”, “b”, “c”, “ab”, “bc”, “abc” Input : str = “abcd” Output : 10 Every substring of the given string : “a”, “b”, “c”, “d”, “ab”, “bc”, “cd”, “abc”, “bcd” and “abcd” it should be Count of substrings is n*(n+1)/2 right??😥
🟣 JOIN our 𝐋𝐈𝐕𝐄 𝐢𝐧𝐭𝐞𝐫𝐯𝐢𝐞𝐰 𝐭𝐫𝐚𝐢𝐧𝐢𝐧𝐠 𝐩𝐫𝐨𝐠𝐫𝐚𝐦 through whatsapp query: +91 8918633037
🔴 𝐂𝐡𝐞𝐜𝐤𝐨𝐮𝐭 𝐚𝐥𝐥 𝐨𝐮𝐫 𝐂𝐨𝐮𝐫𝐬𝐞𝐬: techdose.co.in/
I knew from reading other explanations that it was the explanation itself that was hindering everyone including myself. You are so far the only person that actually explained how the dynamic approach works clearly.
Kudos for going through the whole input string instead of saying so on and so forth👍
😂
Bro tomorrow my exam is there , exam will consist of coding question in Java. Dynamic programming also there can you help me for exam .
@@lionelmesssi2959 I don't think there will be any football match tomorrow .
@@tekbssync5727
😅😁
Please give this man a medal.
Thank you for going through the whole string dry run
Fact : This guy alone is responsible for more placement offers than all college professors combined !
Change my mind
Thanks
Professor kaha padhata
Sab chutiyapa hai professor
woahhhh today also this one is best explaination!!!!!!!!!!!!!!
🧠 yelo change krlo :)
THE best explanation I’ve heard so far!!!
:)
Bro tomorrow my exam is there , exam will consist of coding question in Java. Dynamic programming also there can you help me for exam .
I watched lot of videos for this problem but no one explained like the way you explained.thank you sir
Excellent explanation ! As a newbie in dp i really was struggling to understand this concept but you made my life easier !!!
Thanks
I really love how you draw and go through the DP table. I don't see many people explain it that way and it can be very hard to visual or trace through at first. Thanks So much!
Honestly, the best one explained this question
Thanks :)
Thanks a million for making such an incredible explanation for a GFG code. Sometimes they have good codes, but no explanations or the explanations are not clear enough. This is just so well explained. All your videos are helping so many of us. Keep up the great work!
Welcome :)
You are just explaining the whole concept with patience . thanku for clearing me this algo ,you are just my fav man❤️
Welcome :)
Bro this is the best explanation for the question and I finally understood it. Explaining is an art and making others understand is a superpower and you clearly has it. The video was crisp and so easy to follow. Just loved it.
Pls keep making more videos. I know you might be busy with other stuff(I am sure u might be working for some top notch company and if not then you are surely going to be very soon) but pls keep making more videos.
Yea sure :)
best video I have seen so far for understanding dp using a table
One of the best explanations for this question, for dp beginners🎉🍾 thanks a lot man💐👍
I was struggling with this for quite some time. You taught it with so much patience. Hats off! Very grateful to you
Thanks :)
One of the best teachers found on RUclips 👍🏻
Thanks :)
What a great presentation and explanation ! You are just going frame by frame and bringing clarity all the way down deep! Keep doing such great videos for demystifying complex algos.
Thank you for this, I've had trouble understanding this algorithm in other videos but this is the best explanation I've seen.
Thanks :)
This channel is now becoming my fav channel,,, thanks for explaining the concept so easily .
Welcome :)
Bro tomorrow my exam is there , exam will consist of coding question in Java. Dynamic programming also there can you help me for exam .
Thank you so much for the video! I hadn't truly understood the dynamic programming approach to the max palindrome substring problem until I watched your explanation. Thanks again!
Welcome :)
Now i know why your video is on the top when searched for this problem. Thanks for such good content.
He made this problem a cake walk. Thanks man.
Welcome 😀
@@techdose4u 🙌
I liked the way you explained this problem, best explanation I ever found for this problem.
Thanks :)
How you explain these things so clearly..... I must say you are very underrated
finally got the concept behind the dynamic programming. Thank you
Welcome :)
Bro tomorrow my exam is there , exam will consist of coding question in Java. Dynamic programming also there can you help me for exam .
A really crisp and to the point explanation! Loved the video, thank you
good explanation! The reason this is a dp problem is that it has over lapping sub problems. For substring from index 1,5 we need to check if substr from index 2,4 is palindrome or not and for substr 0,6 we would not compute for substr 1,5. So it will take O(1) time instead of O(n).
The only video that explains the DP matrix and each step of the algorithm. Thanks so much.
Welcome :) I always explain the intuition and steps of dp matrix with reason for formulations.
Can't explain how thankful I am for your explanations!
Welcome :)
Bro tomorrow my exam is there , exam will consist of coding question in Java. Dynamic programming also there can you help me for exam .
thank you Tech dose, I cracked google and linkedin. Learned a lot from your videos and explanations
Congratulations 🤗💥🎉
you have the best dynamic programming playlist ever
Thanks
Best Explanation ever ! Please continue doing this. Thank you :)
Yea..... Thanks :)
I'm glad I found this channel.
😊
Sir...how beautifully u explained the logic...Thank you
Welcome :)
This is the best expalantion for this question on youtube, thanks mate
Excellent explanation! Really appreciate that you went step by step even though it seemed tedious but it made it easy to follow.
Thanks ☺️
New to DP. Was trying to get this approach for 2 hrs.Thanks alot for the explanation.Explained so well,no need to upload the code!
This is gold! Thank you for that clear explanation.. your DP series is the best out there!
Welcome ❤️
I had to watch it twice, but this is such a good explanation!
Thanks :)
Noone says that row is the starting pos and column ending. You just clear my doubt in first few minutes. Thank you again.
Welcome :)
Explained very well.. I have written the code using the instructions and it is working well strings of random sizes.. Thank you...
Welcome :)
what a great explanation! love your divide and conquer techniques
Please, if possible, explain how you approach a problem and come up with solutions too as it'll help in developing our programming logic as well. Thanks for the great vids, keep em comin'! :)
Sure :)
thanks for going through the whole string. Thank you for all your efforts 🙏
Welcome :)
Bro tomorrow my exam is there , exam will consist of coding question in Java. Dynamic programming also there can you help me for exam .
Could not find better explanation than this.
Nice work. Hope to see your channel grow beyond numbers.
Thanks buddy :)
If I had a teacher like you during college, I would never doubt myself that I can't learn DSA.
Thanks, TechDose, crisp n clear explanation, exactly what I was looking for, keep uploading!
Thanks
Thanks. Very useful. However, brute force can be done in O(n^2):
for(0 through length of string-1)
find the longest palindrome whose middle is in that position
if(longer than the previous max) save the start and end indexes
return substring at the saved start and end indexes
So how is dp appoach better than this approach?
Thanks for making this video. I watched lot of videos, on this topic but they explained only filling the DP table, but i couldn't understand why we should fill in such manner....your video did it......Nice and clear Explanation Thanks again.....
Welcome :)
One of the best explanation for this problem.....Thanks bro...!!!!
It is really the best explanation I've ever seen in this subject! Thank you!
You must be really smart to come up with solutions like these
This is the best explanation ever.
Thanks
Bhai..kya samjhaya hai..ek number❤️❤️❤️❤️
Thanks :)
thanks for the explanation. was so good I didn't need help writing the code.
Your explaining skill is mind-blowing 😁
the best explanation i found
The best explanation so far!
really understood the concepts of DP with clarity. Never visualized like this before.. Thanks
best Explanation I have ever seen
Thanks
Thanks , you get straight to the point continue like this
Quality content with best explanation compared to every other video, special thanks to you!!
For length 3 also it is enough to check only if characters are equal, like length 2 as diagonal is always 1.
Best video of this programon youtube.
Thankyou Sir
Welcome :)
very good explanation and this was my first dp problem really understands really well
God-level explanation.!! If possible please keep these videos coming.
Superb Bro... best ever explanation for this problem.
Thanks :)
Very clearly explained . Thanks for helping me out brother.
Welcome
No amount of thanks is ever going to repay the help you're lending us :) Thanks a tonne sir! Keep growing
it clears up my all doubts..
thnx
Welcome :)
Precise explanation man
if we have a string of length n then total number of substring possible are (n*(n+1)/2 ) not n^2 time complexity will be n^2 heres the code - string s;
cin>>s;
for(int i=0;i
Nicely explained!
Thank you!
Welcome 😀
Thank u tech dose. lots of respect for u..
Thanks 😊
your explanation is amazing.
:)
you are best for beginners, thanks bhaiya
😅
Amazing video and nicely explained. Great job
Thanks :)
One of the best videos, try to make more videos with code in it.
Thanks... I am not sharing code because all the codes are available online for the same logic :) If you find problem finding then you can always take my help. I will provide it.
I want sir coding also plz provide coding also
Okay.... I will soon provide the link to the blog with codes in it.
@@karthikp601 I have added CODE LINK in description section of the video.
i wish I had come across this channel earlier, I'd have passed that interview
You are never late 😊
Finally I understood this problem!!!!!!!!!!!!!!!!
THANKSSSSSSSSSSSSSS MANNNNNN
Welllllllcomeeeeeee
That was a brilliant Explaination...
THANKS A LOT FOR THE BEST EXPLANATION
Welcome :)
thanx buddy for the video . keep providing these useful videos.........
Sure
best explanation of this dp problem. Thank you so much🙏
Flawless explanation!!. Thank You!
Welcome :)
Thanks man for these explanations.
Welcome :)
Awesome explanations !!
Thanks
wow this is gold. such a great solution. Thanks a ton. i usually approach dp problem with rec first then memoization then tabulaiton. bt this is more like concrete tabulation solutiion.
Thanks for simple explanation
Very nicely explained😇
1:41 dynamic programming (boolean[n][n])
14:43 O(n^2)
Lintcode: www.lintcode.com/problem/longest-palindromic-substring/description
??
Awesome explanation😄
In fact, we could solve it in O(N2) time without any extra space.
We observe that a palindrome mirrors around its center. Therefore, a palindrome can be expanded from its center, and there are only 2N-1 such centers.
You might be asking why there are 2N-1 but not N centers?
The reason is that the center of a palindrome can be in between two letters.
Such palindromes have even number of letters (such as “abba”) and their center are between the two ‘b’s.
Since expanding a palindrome around its center could take O(N) time, the overall complexity is O(N2).
Source : InterviewBit
Nice :)
The BEST explanation ...tqsm
you said in the video at 1:09 that o(n) total substring possible o(n2) is it right?
Input : str = “abc”
Output : 6
Every substring of the given string : “a”, “b”, “c”, “ab”, “bc”, “abc”
Input : str = “abcd”
Output : 10
Every substring of the given string : “a”, “b”, “c”, “d”, “ab”, “bc”, “cd”, “abc”, “bcd” and “abcd”
it should be Count of substrings is n*(n+1)/2 right??😥
Your formula is O(N^2) when it comes to amortized time :)
Awesome explanation, finally I understood, thanks.
Welcome :)
Thanks Sir for this good explanation!!
Welcome :)
Fabulous explanation!